/*
 * Copyright (c) 2024 ShinGeTsu Meter.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
#pragma once

// I2C
#define I2C0_SDA_PIN 4
#define I2C0_SCL_PIN 5
#define I2C1_SDA_PIN 26
#define I2C1_SCL_PIN 27
#define ADDR_MCP4726 0x60
#define ADDR_LCD     0x3e
#define ADDR_MCP3424 104

// DAC
#define DAC_MAX_VALUE 4095
#define DAC_MIN_VALUE 0
#define DAC_WAIT_US   16    // MCP4726の設定時間:6μs + 10μs

// ADC
#define RESO BIT_14    // 14bit(60SPS:17ms),16bit(15SPS:67ms)だと遅すぎる

void    initI2C();
double  readConstV();
double  readDacV();
double  readPcV();
double  readOutputV();
int16_t setDacValue(int16_t value);
void    lcdPrint(uint8_t row, char *mess);
void    lcdClear();
